### Hierarchy

- CanvasDrawPath
  - CanvasRenderingContext2D

## Index

### Methods

- beginPath
- clip
- fill
- isPointInPath
- isPointInStroke
- stroke

## Methods

### beginPath

- beginPath(): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3001

  #### Returns void

### clip

- clip(fillRule?: CanvasFillRule): void
- clip(path: Path2D, fillRule?: CanvasFillRule): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3002

  #### Parameters

  - ##### Optional fillRule: CanvasFillRule

  #### Returns void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3003

  #### Parameters

  - ##### path: Path2D

  - ##### Optional fillRule: CanvasFillRule

  #### Returns void

### fill

- fill(fillRule?: CanvasFillRule): void
- fill(path: Path2D, fillRule?: CanvasFillRule): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3004

  #### Parameters

  - ##### Optional fillRule: CanvasFillRule

  #### Returns void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3005

  #### Parameters

  - ##### path: Path2D

  - ##### Optional fillRule: CanvasFillRule

  #### Returns void

### isPointInPath

- isPointInPath(x: number, y: number, fillRule?: CanvasFillRule): boolean
- isPointInPath(path: Path2D, x: number, y: number, fillRule?: CanvasFillRule): boolean

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3006

  #### Parameters

  - ##### x: number

  - ##### y: number

  - ##### Optional fillRule: CanvasFillRule

  #### Returns boolean

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3007

  #### Parameters

  - ##### path: Path2D

  - ##### x: number

  - ##### y: number

  - ##### Optional fillRule: CanvasFillRule

  #### Returns boolean

### isPointInStroke

- isPointInStroke(x: number, y: number): boolean
- isPointInStroke(path: Path2D, x: number, y: number): boolean

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3008

  #### Parameters

  - ##### x: number

  - ##### y: number

  #### Returns boolean

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3009

  #### Parameters

  - ##### path: Path2D

  - ##### x: number

  - ##### y: number

  #### Returns boolean

### stroke

- stroke(): void
- stroke(path: Path2D): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3010

  #### Returns void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3011

  #### Parameters

  - ##### path: Path2D

  #### Returns void

Generated using TypeDoc